import request from '@/utils/request';

//发文拟稿 -列表
export const fwng_list = (data = {}) =>
request({
  url: '/jdbg/gwgl_gw/index',
  data,
});

//发文拟稿 -增加
export const fwng_add = (data = {}) =>
  request({
      url: '/jdbg/gwgl_gw/add',
      data
  })
//发文拟稿 -编辑
export const fwng_edit = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/edit',
    data
})
//发文拟稿 -删除
export const fwng_del = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/delete',
    data
})
//发文拟稿 -详情
export const fwng_detail = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/detail',
    data
})



//发文拟稿类别 -列表
export const fwng_lb_list = (data = {}) =>
request({
    url: '/jdbg/gwgl_lxmb/index',
    data
})
//发文拟稿类别 -增加
export const fwng_lb_add = (data = {}) =>
request({
    url: '/jdbg/gwgl_lxmb/add',
    data
})
//发文拟稿类别 -编辑
export const fwng_lb_edit = (data = {}) =>
request({
    url: '/jdbg/gwgl_lxmb/edit',
    data
})
//发文拟稿类别 -详情
export const fwng_lb_detail = (data = {}) =>
request({
    url: '/jdbg/gwgl_lxmb/detail',
    data
})
//发文拟稿类别 -删除
export const fwng_lb_del = (data = {}) =>
request({
    url: '/jdbg/gwgl_lxmb/delete',
    data
})

//流程管理-列表
export const gwglLcgl_List = (data = {}) =>
request({
    url: '/jdbg/gwgl_lcgl/index',
    data
})
//获取公文字号
export const get_gwzh = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/get_zihao',
    data
})


//通用-科室列表（组织机构use_org）
export const org_list = (data = {}) =>
  request({
    url: '/user/org/index',
    data
  });
//
export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit
        }
    })
